- Main Page
- Classes
- Files
- Related Pages

- Class List
- Class Hierarchy
- Class Members

# CDragContainer Class Reference

`#include <vstgui.h>`

Inheritance diagram for CDragContainer:

List of all members.

## Public Types
enum | { kFile = 0, kText, kUnknown = -1 }
## Public Member Functions
| CDragContainer (void *platformDrag)
| ~CDragContainer ()
void * | first (long &size, long &type)
| returns pointer on a char array if type is known
void * | next (long &size, long &type)
| returns pointer on a char array if type is known
long | getType (long idx) const
long | getCount () const
## Protected Attributes
void * | platformDrag
long | nbItems
long | iterator
void * | lastItem

## Member Enumeration Documentation

anonymous enum

  | Enumerator:
  kFile |
  kText |
  kUnknown |

## Constructor & Destructor Documentation

CDragContainer::CDragContainer | ( | void * | platformDrag | ) |

CDragContainer::~CDragContainer | ( |  | ) |

## Member Function Documentation

void * CDragContainer::first | ( | long & | size,
|  | long & | type
| ) |

| returns pointer on a char array if type is known

long CDragContainer::getCount | ( |  | ) | const`[inline]`

long CDragContainer::getType | ( | long | idx | ) | const

void * CDragContainer::next | ( | long & | size,
|  | long & | type
| ) |

| returns pointer on a char array if type is known

## Member Data Documentation

long CDragContainer::iterator`[protected]`

void* CDragContainer::lastItem`[protected]`

long CDragContainer::nbItems`[protected]`

void* CDragContainer::platformDrag`[protected]`

The documentation for this class was generated from the following files:

- vstgui.h
- vstgui.cpp

Empty

Copyright ©2006 Steinberg Media Technologies. All Rights Reserved.